Package org.apache.tapestry5

# Class ComponentParameterConstants

java.lang.Object
org.apache.tapestry5.ComponentParameterConstants

public class ComponentParameterConstants extends Object
Constants for core component parameters defined by `Symbol`

Since:
  5.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FORMINJECTOR_INSERT_POSITION`
  Deprecated.
  Deprecated in 5.4 with no replacement.
  `static final String`
  `FORMINJECTOR_SHOW_FUNCTION`
  Deprecated.
  Deprecated in 5.4 with no replacement.
  `static final String`
  `GRID_EMPTY_BLOCK`
  The default name of the `Block` used to display an empty `Grid`.
  `static final String`
  `GRID_PAGER_POSITION`
  The default position of the `Grid` pager.
  `static final String`
  `GRID_ROWS_PER_PAGE`
  The default number for how many rows to display in a `Grid` page.
  `static final String`
  `GRID_TABLE_CSS_CLASS`
  The default name of the CSS class for the <table> element of the `Grid` component.
  `static final String`
  `GRIDCOLUMNS_ASCENDING_ASSET`
  The default `Asset` to display in `GridColumns` header for ascending sort action.
  `static final String`
  `GRIDCOLUMNS_DESCENDING_ASSET`
  The default `Asset` to display in `GridColumns` header for descending sort action.
  `static final String`
  `GRIDCOLUMNS_SORTABLE_ASSET`
  The default `Asset` to display in `GridColumns` header for identifying a sortable column.
  `static final String`
  `GRIDPAGER_PAGE_RANGE`
  The default number of page range to display in the `GridPager` before and after the current page.
  `static final String`
  `PALETTE_ROWS_SIZE`
  The default size of rows to display in a `Palette` component.
  `static final String`
  `VALIDATE_WITH_MODEL`
  The default for whether components that use a SelectModel (e.g.
  `static final String`
  `ZONE_SHOW_METHOD`
  Deprecated.
  Deprecated in 5.4 with no replacement.
  `static final String`
  `ZONE_UPDATE_METHOD`
  Deprecated.
  Deprecated in 5.4 with no replacement.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentParameterConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GRID_ROWS_PER_PAGE

    public static final String GRID_ROWS_PER_PAGE
    The default number for how many rows to display in a `Grid` page.
    See Also:
      - Constant Field Values

  - ### GRID_PAGER_POSITION

    public static final String GRID_PAGER_POSITION
    The default position of the `Grid` pager.
    See Also:
      - Constant Field Values

  - ### GRID_EMPTY_BLOCK

    public static final String GRID_EMPTY_BLOCK
    The default name of the `Block` used to display an empty `Grid`.
    See Also:
      - Constant Field Values

  - ### GRID_TABLE_CSS_CLASS

    public static final String GRID_TABLE_CSS_CLASS
    The default name of the CSS class for the <table> element of the `Grid` component.
    See Also:
      - Constant Field Values

  - ### GRIDPAGER_PAGE_RANGE

    public static final String GRIDPAGER_PAGE_RANGE
    The default number of page range to display in the `GridPager` before and after the current page.
    See Also:
      - Constant Field Values

  - ### GRIDCOLUMNS_ASCENDING_ASSET

    public static final String GRIDCOLUMNS_ASCENDING_ASSET
    The default `Asset` to display in `GridColumns` header for ascending sort action.
    See Also:
      - Constant Field Values

  - ### GRIDCOLUMNS_DESCENDING_ASSET

    public static final String GRIDCOLUMNS_DESCENDING_ASSET
    The default `Asset` to display in `GridColumns` header for descending sort action.
    See Also:
      - Constant Field Values

  - ### GRIDCOLUMNS_SORTABLE_ASSET

    public static final String GRIDCOLUMNS_SORTABLE_ASSET
    The default `Asset` to display in `GridColumns` header for identifying a sortable column.
    See Also:
      - Constant Field Values

  - ### FORMINJECTOR_INSERT_POSITION

    public static final String FORMINJECTOR_INSERT_POSITION
    Deprecated.
    Deprecated in 5.4 with no replacement.
    The default position where to insert content into `Form`. Defaults to "above".
    See Also:
      - Constant Field Values

  - ### FORMINJECTOR_SHOW_FUNCTION

    public static final String FORMINJECTOR_SHOW_FUNCTION
    Deprecated.
    Deprecated in 5.4 with no replacement.
    The default name for a JS function to use to show the injected content by the (removed in 5.4) FormInjector component. Defaults to "highlight".
    See Also:
      - Constant Field Values

  - ### PALETTE_ROWS_SIZE

    public static final String PALETTE_ROWS_SIZE
    The default size of rows to display in a `Palette` component. Defaults to 10.
    See Also:
      - Constant Field Values

  - ### VALIDATE_WITH_MODEL

    public static final String VALIDATE_WITH_MODEL
    The default for whether components that use a SelectModel (e.g. `Select`) enforce that the submitted value is one of the values in the SelectModel
    Since:
      5.4
    See Also:
      - Constant Field Values

  - ### ZONE_SHOW_METHOD

    public static final String ZONE_SHOW_METHOD
    Deprecated.
    Deprecated in 5.4 with no replacement.
    The default name of a JS function attached to Tapestry.ElementEffect object to use for the initial visualization of a `Zone`. Defaults to "show"
    See Also:
      - Constant Field Values

  - ### ZONE_UPDATE_METHOD

    public static final String ZONE_UPDATE_METHOD
    Deprecated.
    Deprecated in 5.4 with no replacement.
    The default name of a JS function attached to Tapestry.ElementEffect object to point out an update on a `Zone`. Defaults to "highlight"
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ComponentParameterConstants

    public ComponentParameterConstants()